# Use mod_rewrite to enable "Clean URLs" for a PmWiki installation.
RewriteEngine On
# Define the rewrite base.
RewriteBase /wiki
# Send requests without parameters to pmwiki.php.
RewriteRule ^$           pmwiki.php  [L]
# Send requests for index.php to pmwiki.php.
RewriteRule ^index\.php$ pmwiki.php  [L]
## The following line is an attempt to try the direction from:
## https://www.pmwiki.org/wiki/Cookbook/GetRidOfMain
## So this one could be isolated and deleted if it fails (horribly)
## Start of GetRidOfMain =======================================================
#Send single name pages to pmwiki.php?n=Main.$1
RewriteRule ^([A-Z0-9\xa0-\xff][^\.\/]*(\?.*)?)$ pmwiki.php?n=Main.$1  [QSA,L]
## End of GetRidOfMain =========================================================
# Send requests to pmwiki.php, appending the query string part.
RewriteRule ^([A-Z0-9\xa0-\xff].*)$ pmwiki.php?n=$1  [QSA,L]
